Incidencia #640 (closed Error: Funciona para mí)

Abierto hace 5 años

Última modificación 5 años

Error con paquetes de gnome shell al instalar canaima-escritorio-gnome

Informado por: geopelia Propietario: Canaima Popular
Prioridad: No Definido Hito: Canaima Popular 4.0~a1
Componente: No Definido Versión: No Definido
Gravedad: No Definido Palabras clave: canaima, error
Cc: Asignar A:

Descripción

Al tratar de instalar canaima-escritorio-gnome en una instalación limpia de Debian 7. Tengo un conflicto entre los paquetes gnome-shell-common gnome-shell-extensions-gnamon ya que por lo visto ambos paquetes tratan de modificar los mismos archivos lo que da un error de tubería rota e impide la instalación. Para tratar de solucionar los paquetes rotos desintalo gnome-shell-extensions-gnamon. Aunque produce errores son otros paquetes como gnome-icon-theme-gnamon.
Este es el error que me da cuando nuevamente intento instalar el escritorio (ojo antes he realizado varios cambios tratando de arreglar este problema, pero sin exito).
root@canaima4:/home/usuario# apt-get install canaima-escritorio-gnome
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Se instalarán los siguientes paquetes extras:

canaima-estilo-visual-gnome gnome-session gnome-shell gnome-shell-common
gnome-shell-extensions-gnamon gnome-themes-gnamon gnome-tweak-tool

Paquetes recomendados:

canaima-web-gnome canaima-multimedia-gnome canaima-accesibilidad-minimo

Se instalarán los siguientes paquetes NUEVOS:

canaima-escritorio-gnome canaima-estilo-visual-gnome gnome-session
gnome-shell gnome-shell-common gnome-shell-extensions-gnamon
gnome-themes-gnamon gnome-tweak-tool

0 actualizados, 8 se instalarán, 0 para eliminar y 5 no actualizados.
1 no instalados del todo o eliminados.
Se necesita descargar 0 B/2.289 kB de archivos.
Se utilizarán 10,8 MB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? S
(Leyendo la base de datos ... 137540 ficheros o directorios instalados actualmente.)
Desempaquetando gnome-themes-gnamon (de .../gnome-themes-gnamon_1.0_all.deb) ...
Seleccionando el paquete gnome-shell-common previamente no seleccionado.
Desempaquetando gnome-shell-common (de .../gnome-shell-common_3.4.2-7_all.deb) ...
dpkg: error al procesar /var/cache/apt/archives/gnome-shell-common_3.4.2-7_all.deb (--unpack):

intentando sobreescribir `/usr/share/gnome-shell/theme/gdm.css', que está también en el paquete gnome-themes-gnamon 1.0

dpkg-deb: error: el subproceso copiado fue terminado por la señal (Tubería rota)
Seleccionando el paquete gnome-shell previamente no seleccionado.
Desempaquetando gnome-shell (de .../gnome-shell_3.4.2-7_i386.deb) ...
Seleccionando el paquete gnome-shell-extensions-gnamon previamente no seleccionado.
Desempaquetando gnome-shell-extensions-gnamon (de .../gnome-shell-extensions-gnamon_1.0_all.deb) ...
Seleccionando el paquete canaima-estilo-visual-gnome previamente no seleccionado.
Desempaquetando canaima-estilo-visual-gnome (de .../canaima-estilo-visual-gnome_4.0_all.deb) ...
Seleccionando el paquete gnome-session previamente no seleccionado.
Desempaquetando gnome-session (de .../gnome-session_3.4.2.1-4_all.deb) ...
Seleccionando el paquete gnome-tweak-tool previamente no seleccionado.
Desempaquetando gnome-tweak-tool (de .../gnome-tweak-tool_3.4.0.1-2_all.deb) ...
Seleccionando el paquete canaima-escritorio-gnome previamente no seleccionado.
Desempaquetando canaima-escritorio-gnome (de .../canaima-escritorio-gnome_4.0_all.deb) ...
Procesando disparadores para desktop-file-utils ...
Procesando disparadores para gnome-menus ...
Procesando disparadores para libglib2.0-0:i386 ...
Procesando disparadores para man-db ...
Se encontraron errores al procesar:

/var/cache/apt/archives/gnome-shell-common_3.4.2-7_all.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Considero que el verdadero error es esta parte
dpkg: error al procesar /var/cache/apt/archives/gnome-shell-common_3.4.2-7_all.deb (--unpack):

intentando sobreescribir `/usr/share/gnome-shell/theme/gdm.css', que está también en el paquete gnome-themes-gnamon 1.0

Historial de cambios

comment:1 Cambiado el 5 años por geopelia

Al actualizar el sistema el 03/05/2013 ya no se presenta el error antes mencionado.

comment:2 Cambiado el 5 años por geopelia

  • Estado cambiado de new to closed
  • Resolución establecido a Funciona para mí
Nota: Vea TracTickets para ayuda en el uso de incidencias.